Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001062 [1003.1(2008)/Issue 7] Base Definitions and Headers Editorial Error 2016-07-21 19:52 2017-08-24 15:36
Reporter Steve Emmerson View Status public  
Assigned To ajosey
Priority normal Resolution Accepted As Marked  
Status Resolved  
Name Steve Emmerson
Organization University Corporation for Atmospheric Research
User Reference
Section 12.1 Utility Argument Syntax
Page Number 215
Line Number 7073-7074
Interp Status ---
Final Accepted Text See Note: 0003819.
Summary 0001062: Description of multiple synopsis lines is inconsistent with example
Description The example needs a newline to separate the multiple synopsis lines.
Desired Action Add a newline.
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0003304)
Don Cragun (manager)
2016-07-21 20:53
edited on: 2016-07-21 21:50

The description does not say that there is an empty line between mutually exclusive synopsis forms, so I believe the example matches the stated requirements. But, in the XCU volume SYNOPSIS sections that have multiple synopsis forms to have an empty line between the various forms to further clarify the difference between different synopsis forms and synopsis forms that have continuation lines.

I would suggest adding an empty line in the example on P215 between lines 7073 and 7074.

(0003305)
geoffclare (manager)
2016-07-22 07:53

I believe the problem Steve reported is an HTML translation issue. The HTML version has both example synopsis "lines" on the same line.

Adding an empty line in the source would undoubtedly cure this, but it ought to be addressed in the forthcoming HTML translation of the 2016 edition rather than waiting until the next update to the source.
(0003365)
ajosey (manager)
2016-08-26 14:38

To confirm this will be addressed in the html 2016 edition.
(0003819)
Don Cragun (manager)
2017-08-24 15:33
edited on: 2017-08-24 15:35

P213, L7190-7191 (using 2016 edition page and line numbers):
    
utility_name[−a][−b][−c option_argument]
    [−d|−e][−f[option_argument]][operand...]

should be:
    
utility_name [−a] [−b] [−c option_argument]
    [−d|−e] [−f[option_argument]] [operand...]

and P215, L7269-7270
    
utility_name −d[−a][−c option_argument][operand...]
utility_name[−a][−b][operand...]

should be:
    
utility_name −d [−a] [−c option_argument] [operand...]

utility_name [−a] [−b] [operand...]

Also add an empty line between the two SYNOPSIS forms of the nm utility on P3035, L100963 and 100964.


- Issue History
Date Modified Username Field Change
2016-07-21 19:52 Steve Emmerson New Issue
2016-07-21 19:52 Steve Emmerson Status New => Under Review
2016-07-21 19:52 Steve Emmerson Assigned To => ajosey
2016-07-21 19:52 Steve Emmerson Name => Steve Emmerson
2016-07-21 19:52 Steve Emmerson Organization => University Corporation for Atmospheric Research
2016-07-21 19:52 Steve Emmerson Section => 12.1 Utility Argument Syntax
2016-07-21 19:52 Steve Emmerson Page Number => Item 8
2016-07-21 20:53 Don Cragun Page Number Item 8 => 215
2016-07-21 20:53 Don Cragun Line Number => 7073-7074
2016-07-21 20:53 Don Cragun Interp Status => ---
2016-07-21 20:53 Don Cragun Note Added: 0003304
2016-07-21 21:50 Don Cragun Note Edited: 0003304
2016-07-22 07:53 geoffclare Note Added: 0003305
2016-08-26 14:38 ajosey Note Added: 0003365
2017-08-24 15:33 Don Cragun Note Added: 0003819
2017-08-24 15:34 Don Cragun Note Edited: 0003819
2017-08-24 15:35 Don Cragun Note Edited: 0003819
2017-08-24 15:36 Don Cragun Final Accepted Text => See Note: 0003819.
2017-08-24 15:36 Don Cragun Status Under Review => Resolved
2017-08-24 15:36 Don Cragun Resolution Open => Accepted As Marked
2017-08-24 15:37 Don Cragun Tag Attached: tc3-2008


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker